import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGithubUserConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/user#id DataGithubUser#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/user#username DataGithubUser#username}
    */
    readonly username: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/d/user github_user}
*/
export declare class DataGithubUser extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "github_user";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/d/user github_user} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGithubUserConfig
    */
    constructor(scope: Construct, id: string, config: DataGithubUserConfig);
    get avatarUrl(): string;
    get bio(): string;
    get blog(): string;
    get company(): string;
    get createdAt(): string;
    get email(): string;
    get followers(): number;
    get following(): number;
    get gpgKeys(): string[];
    get gravatarId(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    get location(): string;
    get login(): string;
    get name(): string;
    get nodeId(): string;
    get publicGists(): number;
    get publicRepos(): number;
    get siteAdmin(): cdktf.IResolvable;
    get sshKeys(): string[];
    get suspendedAt(): string;
    get updatedAt(): string;
    private _username?;
    get username(): string;
    set username(value: string);
    get usernameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
